| Bsoft 2.0.5 Bernard's software package

Functions
tcltk_bmodel.h File Reference

A shared object to manage model parameter files in TCL/Tk. More...

`#include <tk.h>`
`#include "rwmodel.h"`
`#include "rwimg.h"`
`#include "mg_processing.h"`

Go to the source code of this file.

## Functions
int | model_processing (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[])
| Implements the "Bmodel" command in Tcl/Tk to access model parameter files through Bsoft. More...

## Detailed Description

A shared object to manage model parameter files in TCL/Tk.

Author
  Bernard Heymann

Date
  Created: 20071002
  Modified: 20130924

Definition in file tcltk_bmodel.h.

## Function Documentation

## ◆ model_processing()

int model_processing | ( | Tcl_Interp * | interp,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Implements the "Bmodel" command in Tcl/Tk to access model parameter files through Bsoft.

Parameters

  *interp | a Tcl interpreter within Tcl.
  objc | number of arguments passed (+1).
  *objv[] | arguments passed as Tcl objects.

Returns
  int Tcl result.

      Bmodel command syntax:
          Bmodel <action> <arguments>.
          where:
              action          "create", "exists", "read", "write", "kill", "get", "set", "delete"
                              "delete_non_selected", "components_to_particles", "extract_segments",
                              "comptype", "component", "link"
              arguments           action-specific arguments:
                  "create"        <id>
                  "read"          <filename>
                  "write"         <filename>
                  "get"           <property> [arguments]
                  "set"           <property> <value>
                  "delete"        <property>
                  "delete_non_selected"   <property> <selection>
                  "components_to_particles"
                  "extract_segments"  <filename> [multilevel]
                  "comptype"      [arguments]
                  "component"     [arguments]
                  "link"          [arguments]
                  where:
                      property    "id <string>"
                                  "map <string> <value>"
                                  "number <value>"
                                  "radius <value>"
                                  "linkradius <value>"
      Return values:
          Each action may have a return value:
              "create"    (none)
              "exists"    0=no, 1=yes
              "read"      model id
              "write"     (none)
              "kill"      (none)
              "get"       return value based on property
              "set"       modify model property

Definition at line 120 of file tcltk_bmodel.cpp.